Skip to main content
PATCH
/
v1
/
tools
/
{toolId}
Update Tool
curl --request PATCH \
  --url https://api.anchorbrowser.io/v1/tools/{toolId} \
  --header 'Content-Type: application/json' \
  --header 'anchor-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "task_default_browser_configuration": {},
  "human_intervention": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "application_id": "<string>",
  "task_default_browser_configuration": {},
  "human_intervention": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

toolId
string
required

Body

application/json
name
string
Minimum string length: 1
description
string
task_default_browser_configuration
object
human_intervention
boolean

Response

Tool updated successfully.

id
string
name
string
description
string
application_id
string | null
task_default_browser_configuration
object
human_intervention
boolean
created_at
string<date-time>
updated_at
string<date-time>